/*
Local Flash player (Lory Player 1.1)
By Eugenio Rustico (jfrusciante at tiscali dot it)

This is under a CC license: http://creativecommons.org/licenses/by-nc-sa/2.5/
See http://www.watchtube.135.it and http://binaryunit.blogspot.com for further informtions
*/
var s1;
var filename;
var width, height;
var fitting;

var lory_loaded = true;

function init() {
	// Default: fit display
	fitting = 1;
	filename = "files/logo.jpg";
	document.getElementById("default_res").checked = true;
	document.getElementById("default_fitting").checked = true;
	setUpdate(document.getElementById("customRadio").checked);
	invertVisibilty("none", "about", "", "");
	setDim(640, 480);
	// setDim calls newPlayer();
	invertVisibilty("none", "loading", "", "");
}

// http://www.quirksmode.org/dom/getstyles.html
function getStyle(el, styleProp){
	var x = document.getElementById(el);
	if (x.currentStyle)
		var y = x.currentStyle[styleProp];
	else if (window.getComputedStyle)
		var y = document.defaultView.getComputedStyle(x,null).getPropertyValue(styleProp);
	return y;
}

// Set the maximum width for elements we don't want to be put in new lines
// Adapted from getElementByClass() (http://www.webmasterworld.com/forum91/1729.htm)
function setMaximumWidth() {

	var needed = width;
	var DEFAULT_ABOUT_WIDTH = 800;

    // Workaround for buggy browsers...
    if (navigator.appName=="Microsoft Internet Explorer") {
	// var p_w = parseInt(getStyle("about","width"));
	if (needed<800) needed = DEFAULT_ABOUT_WIDTH;
        needed += 120 + 120 + 120;
    } else {

        var about_w = parseInt(getStyle("about","width"));

        // Don't know if a Flash plugin for Konqueror exists, but this way layout works...
        if (navigator.appName=="Konqueror") about_w = DEFAULT_ABOUT_WIDTH;

        if (width < about_w) needed = about_w;

        needed += parseInt(getStyle("left_bar","width"));
        needed += parseInt(getStyle("left_bar","margin-left"));
        needed += parseInt(getStyle("left_bar","margin-right"));

        needed += parseInt(getStyle("adsense_column","width"));
        needed += parseInt(getStyle("adsense_column","margin-left"));
        needed += parseInt(getStyle("adsense_column","margin-right"));

        needed += parseInt(getStyle("player","margin-left"));
        needed += parseInt(getStyle("player","margin-right"));

        needed+=20;

        var needed_topbar = parseInt(getStyle("FileBrowser","margin-right"));
        needed_topbar += parseInt(getStyle("FileBrowser","margin-left"));
        needed_topbar += parseInt(getStyle("FileBrowser","width"));
        needed_topbar = parseInt(getStyle("top_bar","margin-right"));
        needed_topbar += parseInt(getStyle("top_bar","margin-left"));
        needed_topbar += 20;

        if (needed<needed_topbar) needed = needed_topbar;
    }

	var allPageTags=document.getElementsByTagName("*");
	for (i=0; i<allPageTags.length; i++) {
		if (allPageTags[i].className=="noNewLines") {
			if (navigator.appName=="Microsoft Internet Explorer") {
                // Buggy browsers...
                allPageTags[i].style.width = needed + "px";
            } else {
                // Standard compliant
                allPageTags[i].style.setProperty('width', needed + 'px', null);
                allPageTags[i].style.setProperty('min-width', needed + 'px', null);
            }
 		}
 	}
}

function newPlayer() {
	s1 = new SWFObject("files/flvplayer.swf","mpl",width,height, "7");
	s1.addParam("allowfullscreen","true");
	s1.addVariable("autostart","true");

	switch (fitting) {
	case 0:
  		s1.addVariable("overstretch","none");
  		break;
  	case 1:
  		// s1.addVariable("overstretch","none");
  		break;
  	case 2:
  		s1.addVariable("overstretch","true");
  		break;
  	case 3:
  		s1.addVariable("overstretch","fit");
  		break;
  	}

	setFile();

	setMaximumWidth();
}

function setDim(w,h) {
	setUpdate(document.getElementById("customRadio").checked);
	width = parseInt(w);
	height = parseInt(h);
	newPlayer();
}

function setFitting(whichFit) {
	fitting = whichFit;
	newPlayer();
}

function setFile() {
	s1.addVariable("file",filename);
	s1.write("player");
}

function updateFileName() {
	filename = document.getElementById("FileBrowser").value;
    if (filename=="")
        filename = "files/logo.jpg";
	setFile();
}

function enableUpdate() {
	setUpdate(true);
	setDim(document.getElementById("cWidth").value, document.getElementById("cHeight").value);
}

function setUpdate(enabled) {
	document.getElementById("customButton").disabled = ! enabled;
	document.getElementById("cWidth").disabled = ! enabled;
	document.getElementById("cHeight").disabled = ! enabled;
}

function invertVisibilty(menuItemId, objectId, hideStr, showStr) {

	var obj = document.getElementById(objectId);
	var item = document.getElementById(menuItemId);

	if (obj.style.display=="none") {
		obj.style.display="block";
		if (menuItemId!="none")
			item.innerHTML = hideStr;

	} else {
		obj.style.display="none";
		if (menuItemId!="none")
			item.innerHTML = showStr;
	}
}

function toggleRest() {
	invertVisibilty("menu_rest", "top_bar", "Minimal mode", "Normal mode");
	invertVisibilty("none", "title", "", "");
	invertVisibilty("none", "left_bar", "", "");
}

/*
function toggleOptions() {
	invertVisibilty("menu_options", "left_bar", "Hide options", "Show options");
}*/

function toggleAbout() {
	invertVisibilty("menu_about", "player", "About this player", "Back to player");
	invertVisibilty("none", "about", "", "");
}